ubuntu/+source/network-manager-openvpn:ubuntu/cosmic-proposed

Last commit made on 2018-10-11
Get this branch:
git clone -b ubuntu/cosmic-proposed https://git.launchpad.net/ubuntu/+source/network-manager-openvpn
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/cosmic-proposed
Repository:
lp:ubuntu/+source/network-manager-openvpn

Recent commits

1be5819... by Iain Lane on 2018-10-11

Import patches-unapplied version 1.8.6-1ubuntu1 to ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Changelog parent: a1a239f08a78e5b4f251168520221e4734e06d49

New changelog entries:
  * debian/patches/editor-fix-memory-corruption-when-creating-advanced-.patch:
    Cherry-pick from upstream. Fix a missing unref when constructing the
    "advanced" dialog of the VPN connection editor. (LP: #1797236)

a1a239f... by Michael Biebl on 2018-10-07

Import patches-unapplied version 1.8.6-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 89941b526f877899843bee752a3811ba70585450

New changelog entries:
  * New upstream version 1.8.6
  * Bump Standards-Version to 4.2.1

89941b5... by Michael Biebl on 2018-05-19

Import patches-unapplied version 1.8.4-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: f08cd69e42dbe94f824be87ea0f37dd14ee83597

New changelog entries:
  * New upstream version 1.8.4

f08cd69... by Michael Biebl on 2018-03-13

Import patches-unapplied version 1.8.2-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: e64ee287b444fd11b74decbe13efad7ece48c2b4

New changelog entries:
  * New upstream version 1.8.2
  * Drop debian/patches/01-Fix_unusable_config_imports.patch, merged upstream

e64ee28... by Michael Biebl on 2018-03-10

Import patches-unapplied version 1.8.0-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: b2acfe9205db8dc1bdac292c33981c951bec6d14

New changelog entries:
  [ Matteo F. Vescovi ]
  * debian/patches/: patchset updated
    - 01-Fix_unusable_config_imports.patch added (Closes: #736243, #888653)
  * debian/control: Vcs-* fields updated to point to salsa.d.o
  [ Michael Biebl ]
  * Set Rules-Requires-Root to no

b2acfe9... by Michael Biebl on 2018-01-21

Import patches-unapplied version 1.8.0-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 10e5d4df77c0a6bc5a19c1b6ddcb4ebabf188bba

New changelog entries:
  * Upload to unstable
  * Bump debhelper compat level to 11
  * Bump Standards-Version to 4.1.3

10e5d4d... by Michael Biebl on 2017-09-29

Import patches-unapplied version 1.8.0-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: ad9daaac5248544fc0e447f73ddd2e8ac2ed1f28

New changelog entries:
  * New upstream version 1.8.0
  * Switch to dh_missing and abort on uninstalled files
  * Bump Build-Depends as per configure.ac
  * Bump Standards-Version to 4.1.0
  * Stop installing nm-openvpn-dialog.ui.
    With the switch to GResource those resource files are built into the
    executable.

ad9daaa... by Michael Biebl on 2017-05-17

Import patches-unapplied version 1.2.10-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: 94553567c0860308c110bf621b6371d3af312f2c

New changelog entries:
  * New upstream version 1.2.10

9455356... by Michael Biebl on 2017-05-12

Import patches-unapplied version 1.2.8-3 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: 28e5241c95c8bc730c9eae24bdceccf2b228a244

New changelog entries:
  * Switch URLs to https
  * Drop obsolete Build-Depends on libdbus-glib-1-dev.
    It is no longer required after the port to GDBus.
  * Stop building with libnm-glib compat support
  * Remove obsolete nm-openvpn-service.name conffile on upgrades
  * Use architecture.mk provided by dpkg-dev to retrieve DEB_HOST_MULTIARCH
  * Use --as-needed to avoid unnecessary shlibs dependencies

28e5241... by Michael Biebl on 2017-01-25

Import patches-unapplied version 1.2.8-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: c5807244715d98bbbf3b791b011b8dc4050b168f

New changelog entries:
  * Install AppData file in the gnome package
  * New upstream release
  * Update Vcs-* according to the latest recommendation
  * Install AppData file
  * Move libnm-vpn-plugin-openvpn.so and translations into main package.
    This plugin is used by nmcli and doesn't have any GTK dependencies.